Skip to content

Additional fields ​

Use the additional_fields query parameter on test_status to request detailed result data. Separate multiple field names with commas.

text
additional_fields=detailed_scores,strength_weaknesses,problem_statuses,problem_titles,smalltalk_score,proctoring_artifacts

The response places supported requested data inside the additional_fields object after the assessment is completed. Unsupported field names are ignored.

detailed_scores ​

An object with a score for each assessed category.

PropertyType
fluencystring
vocabularystring
interactionstring
pronunciationstring
grammarstring

Each category uses one of these values:

Undefined, A1, A1p, A2, A2p, B1, B1p, B2, B2p, C1, C1p, C2, C2p

strength_weaknesses ​

Contains text descriptions of the candidate's strengths and weaknesses.

json
{
  "strengths": ["strength1", "strength2"],
  "weaknesses": ["weakness1", "weakness2"]
}

problem_statuses ​

An array describing the candidate's response status for each assessment problem.

ValueMeaning
skippedThe candidate spoke 0 words.
warningThe candidate spoke more than 0 words, but not enough.
successThe candidate spoke enough words.
undefinedFallback for any other problem status.

problem_titles ​

An array of titles for the problems completed during the assessment.

smalltalk_score ​

An integer from 1 to 100. The field is returned when smalltalk_score is requested and the score was calculated.

proctoring_artifacts ​

An array of objects with a proctoring mode and signed artifact download URL.

PropertyTypeDescription
proctoring_modestringIMAGE_ON_QUESTION
urlstringSigned artifact download URL.
json
[
  {
    "proctoring_mode": "IMAGE_ON_QUESTION",
    "url": "https://signed-storage-url.example/proctoring-artifact"
  }
]

SmallTalk2Me documentation